Update output

Base URL
https://{kibana_url}
Auth

Update output by ID.

Required privileges

Privileges fleet-settings-all

Path parameters

outputId string required

The ID of the output

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

Any of:
type enum
Values: elasticsearch
allow_edit string[] · max items: 1000
ca_sha256 string nullable
ca_trusted_fingerprint string nullable
config_yaml string nullable
hosts string[] · format: uri · min items: 1 · max items: 100
id string
is_default boolean
is_default_monitoring boolean
is_internal boolean
is_preconfigured boolean
name string
otel_disable_beatsauth boolean nullable
otel_exporter_config_yaml string nullable
preset enum
Values: balanced custom throughput scale latency
proxy_id string nullable
write_to_logs_streams boolean nullable

Responses

Successful response

application/json
item union oneOf required
One of: (determined by type)
type: elasticsearch
type enum required
Values: elasticsearch
allow_edit string[] · max items: 1000
ca_sha256 string nullable
ca_trusted_fingerprint string nullable
config_yaml string nullable
hosts string[] · format: uri · min items: 1 · max items: 100 required
id string
is_default boolean · default: false
is_default_monitoring boolean · default: false
is_internal boolean
is_preconfigured boolean
name string required
otel_disable_beatsauth boolean nullable
otel_exporter_config_yaml string nullable
preset enum
Values: balanced custom throughput scale latency
proxy_id string nullable
write_to_logs_streams boolean nullable
404

Not Found

application/json
Base URL
https://{kibana_url}